hack4glarus-2023-summer - Task #11868

Update X2Go-TCE-Buildserver to Bookworm and try to build Bookworm-based X2Go-TCE-Live
images
07/08/2023 10:49 AM - Stefan Baur

Status: Closed Start date: 07/08/2023
Priority: Normal Due date: 07/09/2023
Assignee: Stefan Baur % Done: 50%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

Debian recently released Debian 12 "Bookworm".
X2Go-ThinClientEnvironment is still stuck on Debian 11 "Bullseye", so it' time to get that upgraded.

History

#1 - 07/08/2023 10:52 AM - Nico Schottelius
- % Done changed from 0 to 50

#2 - 07/08/2023 11:54 AM - Stefan Baur

Build system needed rdnssd package to work in an IPv6-only environment.

apt-cacher-ng seems to work in the IPv6-only environment if the environment variable is set to [::1]:3142 instead of 127.0.0.1:3142 (even though the
localhost interface still has IPv4, and apt-cacher-ng is listening on it, it breaks things during live-build).

#3 - 07/08/2023 12:49 PM - Stefan Baur

It seems that apt-cacher-ng insists on the environment variable being set to 127.0.0.1 when using an IPv4 uplink, and ::1 when using an IPv6 uplink.
Neither 127.0.0.1 works for IPv6 uplinks, nor ::1 for IPv4 uplinks - even though in both cases, localhost had both 127.0.0.1 and ::1 configured and
apt-cacher-ng was listening on both.

This might be worth an upstream bug report.
#4 - 07/08/2023 02:57 PM - Stefan Baur
X2Go-TCE-Live Bookworm image has been built.

Getting it to run ... is a different beast. Seems to have issues with the non-free (?) gfx firmware needed for this particular hardware ...

#5 - 07/08/2023 07:07 PM - Stefan Baur

Issue doesn't seem to be limited to non-free gfx firmware. For some reason, X11 won't start. Needs further debugging.

#6 - 01/02/2024 12:36 PM - Nico Schottelius

- Status changed from New to Closed
